Bug Hunting Session
Bug 113168 - Simple drawing objects lose default paragraph anhcoring when exported to DOC but not when exported to DOCX
Summary: Simple drawing objects lose default paragraph anhcoring when exported to DOC ...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.1.2 release
Hardware: x86-64 (AMD64) Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: DOC-Objects
  Show dependency treegraph
 
Reported: 2017-10-17 00:20 UTC by haim kilov
Modified: 2019-09-16 01:30 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
A zipped folder with the four files -- doc, docx, and the pdf images of the above. (21.19 KB, application/zip)
2017-10-17 00:20 UTC, haim kilov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description haim kilov 2017-10-17 00:20:05 UTC
Created attachment 137028 [details]
A zipped folder with the four files -- doc, docx, and the pdf images of the above.

Very simple drawing (a line and a box) when saved as doc distorts the surrounding text. 

What I did:
1. Created the following text:
masha ela kashu (aligned left)
i ne doela (aligned right)

and a horizontal line just below "masha ela kashu" and a small rectangle just below "mashs ela kashu".

2. Saved the file as docx
3. Saved the file as doc
4. Closed the files.
5. Reopened the files.

The docx file reopened properly.
The doc file was distorted.
Comment 1 Alex Thurgood 2017-10-17 14:20:11 UTC
Confirmign with

Version: 6.0.0.0.alpha0+
Build ID: 643e9001bff137b6e5a8784d9e1f25a51e0d1644
CPU threads: 4; OS: Mac OS X 10.13; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group


The DOC export anchors the drawing objects to Character, whereas the DOCX export keeps the drawing objects the same as in Writer defaults, i.e. to Paragraph.
Comment 2 QA Administrators 2019-09-15 02:47:13 UTC Comment hidden (obsolete)
Comment 3 haim kilov 2019-09-16 01:30:22 UTC
WorksForMe -- Mac OS 10.12.6, LO 6.3.1.2